Subject: Re: [mpls] Adam Roach's No Objection on draft-ietf-mpls-ldp-mrt-06: (with COMMENT)

From: Chris Bowers <[email-masked]>
Date: Mon, 6 Nov 2017 20:37:14 +0000

Adam,

Thanks for the feedback.  See response below with [CB].

Chris

-----Original Message-----
From: Adam Roach [mailto:[email-masked]] 
Sent: Wednesday, September 13, 2017 4:58 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Adam Roach's No Objection on draft-ietf-mpls-ldp-mrt-06: (with COMMENT)

Adam Roach has entered the following ballot position for
draft-ietf-mpls-ldp-mrt-06: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-ldp-mrt/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 4.1 defines some reserved bits in the new MRT capability TLV format.
Typically, we specify that reserved bits are set to 0 on send and ignored on receive, to allow for future definition of a purpose for them.

[CB] MRT capability TLV in this document is an instance of the "Capability Parameter" TLV as defined in RFC 5561.  So the S-bit and the remaining reserved flags are defined in RFC 5561.  This document repeats information from RFC 5561 about the TLV format.  RFC 5561 doesn't explicitly state that these reserved bits are set to 0 on send and ignored on receive.  However, I believe that is the intention of RFC 5561.  I think it might be confusing for the current document to be more precise than RFC5561 is about this point, since 5561 is the document actually defining the "Capability Parameter" TLV.

---

From: Adam Roach <[email-masked]>
Date: Mon, 6 Nov 2017 14:51:06 -0600

> Subject: Adam Roach's No Objection on draft-ietf-mpls-ldp-mrt-06: (with COMMENT)

Thanks. That seems like a reasonable rationale for not adding language 
to this document.

/a